Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(3)

Issue 802041: Enhancement in Ns2 trace file reader (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 years, 1 month ago by Martin Giachino
Modified:
4 years, 10 months ago
CC:
ns-3-reviews_googlegroups.com
Visibility:
Public.

Patch Set 1 #

Patch Set 2 : Header file, ns2 trace file example, and diff in src/helper/wscript #

Total comments: 45

Patch Set 3 : Modifications made upon reviews #

Total comments: 4

Patch Set 4 : Support for numbers like 1.0e+2, test cases added and changes to easy code maintenance #

Patch Set 5 : Correct doxygen comments broken by check-style.py #

Patch Set 6 : Fix example duration and commandLine checks, prevent wrong warning for last line #

Total comments: 15

Patch Set 7 : Fix minor changes #

Patch Set 8 : Fix minor changes #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1973 lines, -0 lines) Patch
M AUTHORS View 1 chunk +1 line, -0 lines 0 comments Download
A examples/mobility/default.ns_movements View 1 chunk +683 lines, -0 lines 0 comments Download
A examples/mobility/ns2-mobility-trace.cc View 3 4 5 6 7 1 chunk +140 lines, -0 lines 0 comments Download
A examples/mobility/waf View 1 chunk +1 line, -0 lines 0 comments Download
A examples/mobility/wscript View 1 2 1 chunk +6 lines, -0 lines 0 comments Download
A src/helper/ns2-transmobility-helper.h View 2 3 4 5 6 7 1 chunk +111 lines, -0 lines 0 comments Download
A src/helper/ns2-transmobility-helper.cc View 1 2 3 4 5 6 7 1 chunk +1029 lines, -0 lines 0 comments Download
M src/helper/wscript View 2 chunks +2 lines, -0 lines 0 comments Download

Messages

Total messages: 20
Martin Giachino
Hi, I've uploaded some files for code review. This files are new version of the ...
5 years, 1 month ago (2010-03-27 06:32:37 UTC) #1
Martin Giachino
Hi, I've uploaded some files for code review. This files are new version of the ...
5 years, 1 month ago (2010-03-28 21:52:30 UTC) #2
Pavel Boyko
First review iteration http://codereview.appspot.com/802041/diff/4001/3003 File examples/mobility/main-ns2-mob.cc (right): http://codereview.appspot.com/802041/diff/4001/3003#newcode21 examples/mobility/main-ns2-mob.cc:21: file name is not clear. Please ...
5 years ago (2010-03-30 13:10:27 UTC) #3
Martin Giachino
http://codereview.appspot.com/802041/diff/4001/3003 File examples/mobility/main-ns2-mob.cc (right): http://codereview.appspot.com/802041/diff/4001/3003#newcode21 examples/mobility/main-ns2-mob.cc:21: On 2010/03/30 13:10:28, Pavel Boyko wrote: > file name ...
5 years ago (2010-03-31 06:50:00 UTC) #4
Martin Giachino
Pavel, here is a new version. Martín
5 years ago (2010-04-11 06:54:12 UTC) #5
Mathieu Lacage
it would be nice to run new code through checks-style.py I did not read the ...
5 years ago (2010-04-12 12:34:10 UTC) #6
Martin Giachino
Hi Mathieu, thanks for the review. Before to do changes, I have two things: I ...
5 years ago (2010-04-13 03:55:54 UTC) #7
Pavel Boyko
Hi, Martin, Thank you for update, I'll try to review it this week. Please do ...
5 years ago (2010-04-13 07:23:34 UTC) #8
Mathieu Lacage
On Tue, Apr 13, 2010 at 5:55 AM, <martin.giachino@gmail.com> wrote: > Hi Mathieu, thanks for ...
5 years ago (2010-04-13 08:40:24 UTC) #9
Martin Giachino
Here is a new update. This update corrects code style, add support for negative numbers ...
4 years, 11 months ago (2010-05-18 00:28:11 UTC) #10
Martin Giachino
The last test case named "Values from a generator" is commented because I'm having some ...
4 years, 11 months ago (2010-05-18 00:35:18 UTC) #11
Pavel Boyko
Hi, Martin, thank you for update, I will review it by the end of the ...
4 years, 11 months ago (2010-05-18 06:55:58 UTC) #12
Pavel Boyko
Hi, Martin, Your core is almost ready for the merge, I have the last two ...
4 years, 11 months ago (2010-05-21 07:47:37 UTC) #13
Martin Giachino
Hi Pavel, here is the update. Fixes are ready, except for the last test case. ...
4 years, 11 months ago (2010-05-22 22:54:04 UTC) #14
Tom Henderson
Mostly minor things, but I have a concern about precision. Please make sure that any ...
4 years, 11 months ago (2010-05-26 14:27:26 UTC) #15
Martin Giachino
Tom, Mostly minor things, but I have a concern about precision. Please make sure that ...
4 years, 11 months ago (2010-05-31 00:23:15 UTC) #16
Tom Henderson
On 2010/05/31 00:23:15, Martin Giachino wrote: > Tom, > > Mostly minor things, but I ...
4 years, 11 months ago (2010-05-31 04:20:34 UTC) #17
Martin Giachino
Tom, - NS_LOG_WARN changed by NS_LOG_ERROR - Removed comments about TRANS/SUMO and added documentation for ...
4 years, 10 months ago (2010-06-10 07:36:57 UTC) #18
Pavel Boyko
Martin, I have merged your reader replacing old Ns2MobilityHelper implementation. I am sure that your ...
4 years, 10 months ago (2010-06-20 13:28:12 UTC) #19
Martin Giachino
4 years, 10 months ago (2010-06-20 23:09:22 UTC) #20
It was a pleasure, and thanks to all of you for your help.

Martín


On 2010/06/20 13:28:12, Pavel Boyko wrote:
> Martin,
> 
>   I have merged your reader replacing old Ns2MobilityHelper implementation. I
am
> sure that your contribution will help many people integrate ns-3 with
different
> mobility generators/analyzers. Thank you!
> 
>   Please close this review.
> 
>   Pavel
> 
> On 2010/06/10 07:36:57, Martin Giachino wrote:
> > Tom,
> > 
> > - NS_LOG_WARN changed by NS_LOG_ERROR
> > 
> > - Removed comments about TRANS/SUMO and added documentation for the ns2
traces
> > format.
> > 
> > - Removed last test case, I think it is helpful now.
> > 
> > Martín
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld e6eadc5